summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael E Brown <mebrown@michaels-house.net>2007-12-11 14:20:14 -0600
committerMichael E Brown <michael_e_brown@dell.com>2007-12-11 15:07:32 -0600
commitd296bcac544235a0539a01738cd4bfdb6fcddc8a (patch)
tree53c862358ad95ea4c6d3a78421bc4191dbb7c778
parent63c47cdbbdd1b1f8c24c6e5b0a05cbf5dc99c3a0 (diff)
downloadmock-d296bcac544235a0539a01738cd4bfdb6fcddc8a.tar.gz
mock-d296bcac544235a0539a01738cd4bfdb6fcddc8a.tar.xz
mock-d296bcac544235a0539a01738cd4bfdb6fcddc8a.zip
add return code propagation test for --chroot cmd.
-rwxr-xr-xdocs/releasetests.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
index 0d2caa5..ca5c0f7 100755
--- a/docs/releasetests.sh
+++ b/docs/releasetests.sh
@@ -53,6 +53,19 @@ if [ ! -e $CHROOT/usr/include/python* ]; then
fi
#
+# Test that chroot return code is properly passed up
+#
+set +e
+time $MOCKCMD --offline --chroot 'bash -c "exit 5"'
+if [ $? -ne 5 ]; then
+ echo "'mock --chroot' return code not properly passed back."
+ exit 1
+fi
+set -e
+
+
+
+#
# Test offline build
#
time $MOCKCMD --offline --rebuild mock-*.src.rpm